org.apache.calcite.avatica

## Class NoSuchConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.calcite.avatica.NoSuchConnectionException

All Implemented Interfaces:
  Serializable

    public class NoSuchConnectionException
    extends RuntimeException

An Exception that denotes that the given Connection is not cached.

See Also:
  Serialized Form

### Field Summary

Fields
`private String` `connectionId`
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`NoSuchConnectionException(String connectionId)`

### Method Summary

Methods
`String` `getConnectionId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### connectionId

    private final String connectionId

### Constructor Detail

#### NoSuchConnectionException

    public NoSuchConnectionException(String connectionId)

### Method Detail

#### getConnectionId

    public String getConnectionId()